


#as base
execute as @e[tag=gm_base] at @s run function game:flag_base

#as player
execute as @e[tag=player] at @s run function game:flag_player

#if no player has flag
execute unless entity @e[tag=has_tm2_flag,limit=1] run kill @e[tag=tm2_flag_stand,limit=1]
execute unless entity @e[tag=has_tm1_flag,limit=1] run kill @e[tag=tm1_flag_stand,limit=1]

#time count down
execute if score !sec_tick game matches 1 run scoreboard players remove !game_time_sec game 1
execute if score !game_time_sec game matches ..-1 run scoreboard players remove !game_time_min game 1
execute if score !game_time_sec game matches ..-1 run scoreboard players set !game_time_sec game 59

#main bossbar
execute if score !game_time_sec game matches 10.. run bossbar set main_game name ["",{"text":"[Gold Points: ","color":"yellow"},{"score":{"name":"!alive_tanks_t1","objective":"game"},"color":"yellow"},{"text":"]","color":"yellow"},{"text":" ","color":"green"},{"text":"[Time: ","underlined":true,"color":"white"},{"score":{"name":"!game_time_min","objective":"game"},"underlined":true,"color":"white"},{"text":":","underlined":true,"color":"white"},{"score":{"name":"!game_time_sec","objective":"game"},"underlined":true,"color":"white"},{"text":"]","underlined":true,"color":"white"},{"text":" [Diamond Points: ","color":"aqua"},{"score":{"name":"!alive_tanks_t2","objective":"game"},"color":"aqua"},{"text":"]","color":"aqua"}]
execute if score !game_time_sec game matches ..9 run bossbar set main_game name ["",{"text":"[Gold Points: ","color":"yellow"},{"score":{"name":"!alive_tanks_t1","objective":"game"},"color":"yellow"},{"text":"]","color":"yellow"},{"text":" ","color":"green"},{"text":"[Time: ","underlined":true,"color":"white"},{"score":{"name":"!game_time_min","objective":"game"},"underlined":true,"color":"white"},{"text":":","underlined":true,"color":"white"},{"text":"0","underlined":true,"color":"white"},{"score":{"name":"!game_time_sec","objective":"game"},"underlined":true,"color":"white"},{"text":"]","underlined":true,"color":"white"},{"text":" [Diamond Points: ","color":"aqua"},{"score":{"name":"!alive_tanks_t2","objective":"game"},"color":"aqua"},{"text":"]","color":"aqua"}]

#lose or win
execute if score !game_lose_time game matches ..0 if score !game_time_min game matches ..0 if score !game_time_sec game matches ..0 run function game:set_game_end

#respawn timer
execute as @e[tag=player] if score @s respawn_timer matches 1.. at @s run function game:death_player

#when 10 sec left
execute if score !game_lose_time game matches ..0 if score !game_time_min game matches ..0 if score !game_time_sec game matches 10 as @a[tag=ingame,tag=!10sec_left_once] at @s run function game:10sec_left


#lose timer
execute if score !game_lose_time game matches 1.. as @a[tag=ingame] at @s run function game:all_game_end
execute if score !game_lose_time game matches 1.. run scoreboard players add !game_lose_time game 1
